Polysolver pre-requisites versions

Hi folks,

We're just working our way through the polysolver installation and testing and hiting a few speedbumps. Could I please ask either the developers, or anyone who has successfully installed polysolver and had it pas the tests outlined in the documentation for a list of the versions of the various pre-requisites that they are using?

Samtools
GATK (we've used picard-tools to provide the SamToFastq.jar)
Novoalign
Bioperl
Mutect
Strelka

Cheers,
CanWood

Install update... moving forward

Hi again,

Just an update for others installing polysolver. I used the following software versions (here's a snippit from my config.bash):

SAMTOOLS_DIR=/software/samtools/samtools-0.1.19
JAVA_DIR=/software/java/jdk1.7.0_80/bin
NOVOALIGN_DIR=/software/novoalign/novocraft-3.02.13
GATK_DIR=/software/picard-tools/picard-tools-1.123
MUTECT_DIR=/software/muTect/muTect-1.1.7
STRELKA_DIR=/software/strelka/strelka-1.0.15/bin

A few other changes which I made that got me moving forward. I'm not sure if I have taken the correct approach, but it did get the tools working:
- the mutect binary name was hard coded in shell_call_hla_mutations_from_type and needs manually updating
- scripts/filterReads.pl needed "use Env;" added to the top and "/cga/wu/sachet/software/samtools" replaced with "$SAMTOOLS_DIR" to pick up the correct location of samtools
- I replaced "#!/usr/bin/perl" with "#!/usr/bin/env perl" as our perl is somewhere else
- data/complete seemed to be missing many files so I split out data/complete/abc_complete.fasta in to its component fastas to fill in the missing ones, indexed them with samtools, and made dict files with picard-tools
- It may have been due to a a folder rearrange in the version of strelka, but line 305 of scripts/shell_call_hla_mutations_from_type needed to have the --config changed to $STRELKA_DIR/../etc/strelka_config_eland_default.ini

Cheers,
CanWood

I would like to add that the

I would like to add that the highest version of samtools that can work with polysolver is 1.2.0; beyond that the parameter change at samtools sort will break the function.